//前置机管理
import request from '@/utils/request'

export default {
    //新增前置机
    add(data) {
        return request({
            url: '/device-boot/node/addNode',
            method: 'post',
            data: data,
        })
    },
    //修改前置机
    update(data) {
        return request({
            url: '/device-boot/node/updateNode',
            method: 'put',
            data: data,
        })
    },

    //删除前置机
    delete(data) {
        return request({
            url: '/device-boot/node/delNode',
            method: 'post',
            params: { id: data },
        })
    },
    //修改前置机状态
    updateState(data) {
        return request({
            url: '/device-boot/node/updateNodeState',
            method: 'post',
            data: data,
        })
    },


    //查询所有前置机列表
    getList(data) {
        return request({
            url: '/device-boot/node/nodeList',
            method: 'post',
            data: data,
        })
    },

    //查询单个前置机详情
    getOne(data) {
        return request({
            url: '/device-boot/node/getNodeById',
            method: 'get',
            params: { id: data },
        })
    }
}